## tevent 0.9.10

=== Makefile ===
# simple makefile wrapper to run waf

WAF=WAF_MAKE=1 PATH=buildtools/bin:../../buildtools/bin:$$PATH waf

all:
	$(WAF) build

install:
	$(WAF) install

uninstall:
	$(WAF) uninstall

test:
	$(WAF) test $(TEST_OPTIONS)

dist:
	$(WAF) dist

distcheck:
	$(WAF) distcheck

clean:
	$(WAF) clean

distclean:
	$(WAF) distclean

reconfigure: configure
	$(WAF) reconfigure

show_waf_options:
	$(WAF) --help

# some compatibility make targets
everything: all

testsuite: all

check: test

# this should do an install as well, once install is finished
installcheck: test

etags:
	$(WAF) etags

ctags:
	$(WAF) ctags

=== buildtools/wafsamba/wscript ===
#!/usr/bin/env python

# this is a base set of waf rules that everything else pulls in first

import sys, wafsamba, Configure
import Options, os, preproc
from samba_utils import *
from optparse import SUPPRESS_HELP

# this forces configure to be re-run if any of the configure
# sections of the build scripts change. We have to check
# for this in sys.argv as options have not yet been parsed when
# we need to set this. This is off by default until some issues
# are resolved related to WAFCACHE. It will need a lot of testing
# before it is enabled by default.
if '--enable-auto-reconfigure' in sys.argv:
    Configure.autoconfig = True

def set_options(opt):
    opt.tool_options('compiler_cc')

    opt.tool_options('gnu_dirs')

    gr = opt.option_group('library handling options')

    gr.add_option('--bundled-libraries',
                   help=("comma separated list of bundled libraries. May include !LIBNAME to disable bundling a library. Can be 'NONE' or 'ALL' [auto]"),
                   action="store", dest='BUNDLED_LIBS', default='')

    extension_default = Options.options['PRIVATE_EXTENSION_DEFAULT']
    gr.add_option('--private-library-extension',
                   help=("name extension for private libraries [%s]" % extension_default),
                   action="store", dest='PRIVATE_EXTENSION', default=extension_default)

    extension_exception = Options.options['PRIVATE_EXTENSION_EXCEPTION']
    gr.add_option('--private-extension-exception',
                   help=("comma separated list of libraries to not apply extension to [%s]" % extension_exception),
                   action="store", dest='PRIVATE_EXTENSION_EXCEPTION', default=extension_exception)

    builtin_defauilt = Options.options['BUILTIN_LIBRARIES_DEFAULT']
    gr.add_option('--builtin-libraries',
                   help=("command separated list of libraries to build directly into binaries [%s]" % builtin_defauilt),
                   action="store", dest='BUILTIN_LIBRARIES', default=builtin_defauilt)

    gr.add_option('--minimum-library-version',
                   help=("list of minimum system library versions (LIBNAME1:version,LIBNAME2:version)"),
                   action="store", dest='MINIMUM_LIBRARY_VERSION', default='')

    gr.add_option('--disable-shared',
                   help=("Disable all use of shared libraries"),
                   action="store_true", dest='disable_shared', default=False)
    gr.add_option('--disable-rpath',
                   help=("Disable use of rpath for build binaries"),
                   action="store_true", dest='disable_rpath_build', default=False)
    gr.add_option('--disable-rpath-install',
                   help=("Disable use of rpath for library path in installed files"),
                   action="store_true", dest='disable_rpath_install', default=False)
    gr.add_option('--disable-rpath-private-install',
                   help=("Disable use of rpath for private library path in installed files"),
                   action="store_true", dest='disable_rpath_private_install', default=False)
    gr.add_option('--nonshared-binary',
                   help=("Disable use of shared libs for the listed binaries"),
                   action="store", dest='NONSHARED_BINARIES', default='')
    gr.add_option('--disable-symbol-versions',
                   help=("Disable use of the --version-script linker option"),
                   action="store_true", dest='disable_symbol_versions', default=False)

    opt.add_option('--with-modulesdir',
                   help=("modules directory [PREFIX/modules]"),
                   action="store", dest='MODULESDIR', default='${PREFIX}/modules')

    opt.add_option('--with-privatelibdir',
                   help=("private library directory [PREFIX/lib/%s]" % Utils.g_module.APPNAME),
                   action="store", dest='PRIVATELIBDIR', default=None)

    gr = opt.option_group('developer options')

    gr.add_option('-C',
                   help='enable configure cacheing',
                   action='store_true', dest='enable_configure_cache')
    gr.add_option('--enable-auto-reconfigure',
                   help='enable automatic reconfigure on build',
                   action='store_true', dest='enable_auto_reconfigure')
    gr.add_option('--enable-developer',
                   help=("Turn on developer warnings and debugging"),
                   action="store_true", dest='developer', default=False)
    gr.add_option('--picky-developer',
                   help=("Treat all warnings as errors (enable -Werror)"),
                   action="store_true", dest='picky_developer', default=False)
    gr.add_option('--fatal-errors',
                   help=("Stop compilation on first error (enable -Wfatal-errors)"),
                   action="store_true", dest='fatal_errors', default=False)
    gr.add_option('--enable-gccdeps',
                   help=("Enable use of gcc -MD dependency module"),
                   action="store_true", dest='enable_gccdeps', default=True)
    gr.add_option('--timestamp-dependencies',
                   help=("use file timestamps instead of content for build dependencies (BROKEN)"),
                   action="store_true", dest='timestamp_dependencies', default=False)
    gr.add_option('--pedantic',
		   help=("Enable even more compiler warnings"),
		   action='store_true', dest='pedantic', default=False)
    gr.add_option('--git-local-changes',
		   help=("mark version with + if local git changes"),
		   action='store_true', dest='GIT_LOCAL_CHANGES', default=False)

    gr.add_option('--abi-check',
		   help=("Check ABI signatures for libraries"),
		   action='store_true', dest='ABI_CHECK', default=False)
    gr.add_option('--abi-check-disable',
		   help=("Disable ABI checking (used with --enable-developer)"),
		   action='store_true', dest='ABI_CHECK_DISABLE', default=False)
    gr.add_option('--abi-update',
		   help=("Update ABI signature files for libraries"),
		   action='store_true', dest='ABI_UPDATE', default=False)

    gr.add_option('--show-deps',
		   help=("Show dependency tree for the given target"),
		   dest='SHOWDEPS', default='')

    gr.add_option('--symbol-check',
                  help=("check symbols in object files against project rules"),
                  action='store_true', dest='SYMBOLCHECK', default=False)

    gr.add_option('--show-duplicates',
                  help=("Show objects which are included in multiple binaries or libraries"),
                  action='store_true', dest='SHOW_DUPLICATES', default=False)

    gr = opt.add_option_group('cross compilation options')

    gr.add_option('--cross-compile',
		   help=("configure for cross-compilation"),
		   action='store_true', dest='CROSS_COMPILE', default=False)
    gr.add_option('--cross-execute',
		   help=("command prefix to use for cross-execution in configure"),
		   action='store', dest='CROSS_EXECUTE', default='')
    gr.add_option('--cross-answers',
		   help=("answers to cross-compilation configuration (auto modified)"),
		   action='store', dest='CROSS_ANSWERS', default='')
    gr.add_option('--hostcc',
		   help=("set host compiler when cross compiling"),
		   action='store', dest='HOSTCC', default=False)

    # we use SUPPRESS_HELP for these, as they are ignored, and are there only
    # to allow existing RPM spec files to work
    opt.add_option('--build',
		   help=SUPPRESS_HELP,
		   action='store', dest='AUTOCONF_BUILD', default='')
    opt.add_option('--host',
		   help=SUPPRESS_HELP,
		   action='store', dest='AUTOCONF_HOST', default='')
    opt.add_option('--program-prefix',
		   help=SUPPRESS_HELP,
		   action='store', dest='AUTOCONF_PROGRAM_PREFIX', default='')
    opt.add_option('--disable-dependency-tracking',
		   help=SUPPRESS_HELP,
		   action='store_true', dest='AUTOCONF_DISABLE_DEPENDENCY_TRACKING', default=False)

    gr = opt.option_group('dist options')
    gr.add_option('--sign-release',
                   help='sign the release tarball created by waf dist',
                   action='store_true', dest='SIGN_RELEASE')
    gr.add_option('--tag',
                   help='tag release in git at the same time',
                   type='string', action='store', dest='TAG_RELEASE')


@wafsamba.runonce
def configure(conf):
    conf.env.hlist = []
    conf.env.srcdir = conf.srcdir

    if Options.options.timestamp_dependencies:
        conf.ENABLE_TIMESTAMP_DEPENDENCIES()

    conf.SETUP_CONFIGURE_CACHE(Options.options.enable_configure_cache)

    # load our local waf extensions
    conf.check_tool('gnu_dirs')
    conf.check_tool('wafsamba')

    conf.CHECK_CC_ENV()

    conf.check_tool('compiler_cc')

    # we need git for 'waf dist'
    conf.find_program('git', var='GIT')

    # older gcc versions (< 4.4) does not work with gccdeps, so we have to see if the .d file is generated
    if Options.options.enable_gccdeps:
        from TaskGen import feature, after
        @feature('testd')
        @after('apply_core')
        def check_d(self):
            tsk = self.compiled_tasks[0]
            tsk.outputs.append(tsk.outputs[0].change_ext('.d'))

        import Task
        cc = Task.TaskBase.classes['cc']
        oldmeth = cc.run

        cc.run = Task.compile_fun_noshell('cc', '${CC} ${CCFLAGS} ${CPPFLAGS} ${_CCINCFLAGS} ${_CCDEFFLAGS} ${CC_SRC_F}${SRC} ${CC_TGT_F}${TGT[0].abspath(env)}')[0]
        try:
            try:
                conf.check(features='cc testd', fragment='int main() {return 0;}\n', ccflags=['-MD'], mandatory=True, msg='Check for -MD')
            except:
                pass
            else:
                conf.check_tool('gccdeps', tooldir=conf.srcdir + "/buildtools/wafsamba")
        finally:
            cc.run = oldmeth

    # make the install paths available in environment
    conf.env.LIBDIR = Options.options.LIBDIR or '${PREFIX}/lib'
    conf.env.BINDIR = Options.options.BINDIR or '${PREFIX}/bin'
    conf.env.SBINDIR = Options.options.SBINDIR or '${PREFIX}/sbin'
    conf.env.MODULESDIR = Options.options.MODULESDIR
    conf.env.PRIVATELIBDIR = Options.options.PRIVATELIBDIR
    conf.env.BUNDLED_LIBS = Options.options.BUNDLED_LIBS.split(',')
    conf.env.BUILTIN_LIBRARIES = Options.options.BUILTIN_LIBRARIES.split(',')
    conf.env.DISABLE_SHARED = Options.options.disable_shared
    conf.env.NONSHARED_BINARIES = Options.options.NONSHARED_BINARIES.split(',')

    conf.env.PRIVATE_EXTENSION = Options.options.PRIVATE_EXTENSION
    conf.env.PRIVATE_EXTENSION_EXCEPTION = Options.options.PRIVATE_EXTENSION_EXCEPTION.split(',')

    conf.env.CROSS_COMPILE = Options.options.CROSS_COMPILE
    conf.env.CROSS_EXECUTE = Options.options.CROSS_EXECUTE
    conf.env.CROSS_ANSWERS = Options.options.CROSS_ANSWERS
    conf.env.HOSTCC        = Options.options.HOSTCC

    conf.env.AUTOCONF_BUILD = Options.options.AUTOCONF_BUILD
    conf.env.AUTOCONF_HOST  = Options.options.AUTOCONF_HOST
    conf.env.AUTOCONF_PROGRAM_PREFIX = Options.options.AUTOCONF_PROGRAM_PREFIX

    if (conf.env.AUTOCONF_HOST and
        conf.env.AUTOCONF_BUILD and
        conf.env.AUTOCONF_BUILD != conf.env.AUTOCONF_HOST):
        Logs.error('ERROR: Mismatch between --build and --host. Please use --cross-compile instead')
        sys.exit(1)
    if conf.env.AUTOCONF_PROGRAM_PREFIX:
        Logs.error('ERROR: --program-prefix not supported')
        sys.exit(1)

    # enable ABI checking for developers
    conf.env.ABI_CHECK = Options.options.ABI_CHECK or Options.options.developer
    if Options.options.ABI_CHECK_DISABLE:
        conf.env.ABI_CHECK = False
    try:
        conf.find_program('gdb', mandatory=True)
    except:
        conf.env.ABI_CHECK = False

    conf.env.GIT_LOCAL_CHANGES = Options.options.GIT_LOCAL_CHANGES

    conf.CHECK_COMMAND(['uname', '-a'],
                       msg='Checking build system',
                       define='BUILD_SYSTEM',
                       on_target=False)
    conf.CHECK_UNAME()

    # see if we can compile and run a simple C program

=== lib/replace/Makefile ===
# simple makefile wrapper to run waf

WAF=WAF_MAKE=1 PATH=buildtools/bin:../../buildtools/bin:$$PATH waf

all:
	$(WAF) build

install:
	$(WAF) install

uninstall:
	$(WAF) uninstall

test:
	$(WAF) test $(TEST_OPTIONS)

testenv:
	$(WAF) test --testenv $(TEST_OPTIONS)

quicktest:
	$(WAF) test --quick $(TEST_OPTIONS)

dist:
	$(WAF) dist

distcheck:
	$(WAF) distcheck

clean:
	$(WAF) clean

distclean:
	$(WAF) distclean

reconfigure: configure
	$(WAF) reconfigure

show_waf_options:
	$(WAF) --help

# some compatibility make targets
everything: all

testsuite: all

check: test

torture: all

# this should do an install as well, once install is finished
installcheck: test

etags:
	$(WAF) etags

ctags:
	$(WAF) ctags

bin/%:: FORCE
	$(WAF) --targets=`basename $@`
FORCE:

=== lib/talloc/Makefile ===
# simple makefile wrapper to run waf

WAF=WAF_MAKE=1 PATH=buildtools/bin:../../buildtools/bin:$$PATH waf

all:
	$(WAF) build

install:
	$(WAF) install

uninstall:
	$(WAF) uninstall

test:
	$(WAF) test $(TEST_OPTIONS)

testenv:
	$(WAF) test --testenv $(TEST_OPTIONS)

quicktest:
	$(WAF) test --quick $(TEST_OPTIONS)

dist:
	$(WAF) dist

distcheck:
	$(WAF) distcheck

clean:
	$(WAF) clean

distclean:
	$(WAF) distclean

reconfigure: configure
	$(WAF) reconfigure

show_waf_options:
	$(WAF) --help

# some compatibility make targets
everything: all

testsuite: all

check: test

torture: all

# this should do an install as well, once install is finished
installcheck: test

etags:
	$(WAF) etags

ctags:
	$(WAF) ctags

pydoctor:
	$(WAF) pydoctor

bin/%:: FORCE
	$(WAF) --targets=`basename $@`
FORCE:

=== lib/talloc/wscript ===
#!/usr/bin/env python

APPNAME = 'talloc'
VERSION = '2.0.4'


blddir = 'bin'

import Logs
import os, sys

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import sys
sys.path.insert(0, srcdir+"/buildtools/wafsamba")
import wafsamba, samba_dist, Options

# setup what directories to put in a tarball
samba_dist.DIST_DIRS('lib/talloc:. lib/replace:lib/replace buildtools:buildtools')


def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('talloc', noextension='talloc')
    opt.RECURSE('lib/replace')
    opt.add_option('--enable-talloc-compat1',
                   help=("Build talloc 1.x.x compat library [False]"),
                   action="store_true", dest='TALLOC_COMPAT1', default=False)
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--disable-python',
                       help=("disable the pytalloc module"),
                       action="store_true", dest='disable_python', default=False)


def configure(conf):
    conf.RECURSE('lib/replace')

    conf.env.standalone_talloc = conf.IN_LAUNCH_DIR()

    conf.env.disable_python = getattr(Options.options, 'disable_python', False)

    if not conf.env.standalone_talloc:
        if conf.CHECK_BUNDLED_SYSTEM('talloc', minversion=VERSION,
                                     implied_deps='replace'):
            conf.define('USING_SYSTEM_TALLOC', 1)
        if conf.CHECK_BUNDLED_SYSTEM('pytalloc-util', minversion=VERSION,
                                     implied_deps='talloc replace'):
            conf.define('USING_SYSTEM_PYTALLOC_UTIL', 1)

    conf.env.TALLOC_COMPAT1 = Options.options.TALLOC_COMPAT1

    conf.CHECK_XSLTPROC_MANPAGES()

    if not conf.env.disable_python:
        # also disable if we don't have the python libs installed
        conf.check_tool('python')
        conf.check_python_version((2,4,2))
        conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
        if not conf.env.HAVE_PYTHON_H:
            Logs.warn('Disabling pytalloc-util as python devel libs not found')
            conf.env.disable_python = True

    conf.SAMBA_CONFIG_H()


def build(bld):
    bld.RECURSE('lib/replace')

    if bld.env.standalone_talloc:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        bld.env.TALLOC_VERSION = VERSION
        bld.PKG_CONFIG_FILES('talloc.pc', vnum=VERSION)
        bld.INSTALL_FILES('${INCLUDEDIR}', 'talloc.h')
        private_library = False

        # should we also install the symlink to libtalloc1.so here?
        bld.SAMBA_LIBRARY('talloc-compat1-%s' % (VERSION),
                          'compat/talloc_compat1.c',
                          public_deps='talloc',
                          soname='libtalloc.so.1',
                          enabled=bld.env.TALLOC_COMPAT1)

        if not bld.env.disable_python:
            bld.PKG_CONFIG_FILES('pytalloc-util.pc', vnum=VERSION)
    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TALLOC'):

        bld.SAMBA_LIBRARY('talloc',
                          'talloc.c',
                          deps='replace',
                          abi_directory='ABI',
                          abi_match='talloc* _talloc*',
                          hide_symbols=True,
                          vnum=VERSION,
                          private_library=private_library,
                          manpages='talloc.3')

    if not bld.CONFIG_SET('USING_SYSTEM_PYTALLOC_UTIL') and not bld.env.disable_python:

        bld.SAMBA_LIBRARY('pytalloc-util',
            source='pytalloc_util.c',
            public_deps='talloc',
            pyext=True,
            vnum=VERSION,
            private_library=private_library,
            )
        bld.INSTALL_FILES('${INCLUDEDIR}', 'pytalloc.h')
        bld.SAMBA_PYTHON('pytalloc',
                         'pytalloc.c',
                         deps='talloc pytalloc-util',
                         enabled=True,
                         realname='talloc.so')

    if not getattr(bld.env, '_SAMBA_BUILD_', 0) == 4:
        # s4 already has the talloc testsuite builtin to smbtorture
        bld.SAMBA_BINARY('talloc_testsuite',
                         'testsuite_main.c testsuite.c',
                         deps='talloc',
                         install=False)


def test(ctx):
    '''run talloc testsuite'''
    import Utils, samba_utils
    cmd = os.path.join(Utils.g_module.blddir, 'talloc_testsuite')
    ret = samba_utils.RUN_COMMAND(cmd)
    print("testsuite returned %d" % ret)
    sys.exit(ret)

def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)


def pydoctor(ctx):
    '''build python apidocs'''
    cmd='PYTHONPATH=bin/python pydoctor --project-name=talloc --project-url=http://talloc.samba.org/ --make-html --docformat=restructuredtext --introspect-c-modules --add-module bin/python/talloc.*'
    print("Running: %s" % cmd)
    os.system(cmd)

=== debian/changelog ===
tevent (0.9.10-1) unstable; urgency=low

  * New upstream release.
  * Remove reference to deprecated BSD license file.
  * Support building against talloc 2.0.1.
  * Add script for automatically updating dependencies.
  * Add missing dependencies on ${misc:Depends}.
  * Link with --as-needed.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 21 Dec 2010 19:38:38 +0100

=== debian/control ===
Source: tevent
Section: devel
Priority: optional
Maintainer: Jelmer Vernooij <jelmer@debian.org>
Build-Depends: debhelper (>> 5.0.0), libtalloc-dev (>= 2.0.1~), libaio-dev, pkg-config, python, python-talloc-dev (>= 2.0.1~), python-dev
Standards-Version: 3.9.1
Vcs-Bzr: http://bzr.debian.org/pkg-samba/tevent/unstable

Package: libtevent0
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: talloc-based event loop library - shared library
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the shared library file.

Package: libtevent-dev
Section: libdevel
Architecture: any
Depends: libc6-dev, libtevent0 (= ${binary:Version}), libtalloc-dev, ${misc:Depends}
Description: talloc-based event loop library - development files
 tevent is a simple library that can handle the main event loop for an
 application. It supports three kinds of events: timed events, file
 descriptors becoming readable or writable and signals.
 .
 Talloc is used for memory management, both internally and for private
 data provided by users of the library.
 .
 This package provides the development files.

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp

configure: configure-stamp
configure-stamp:
	dh_testdir
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
		   --disable-rpath --disable-rpath-install \
		   --minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)"
	touch configure-stamp

build: configure build-stamp
build-stamp:
	dh_testdir
	$(MAKE) all 
	touch build-stamp

get-orig-source:
	./debian/build-orig.sh

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-./buildtools/bin/waf clean
	rm -rf buildtools/wafsamba/*.pyc buildtools/bin/.waf-*
	rm -rf build
	rm -f buildtools/wafsamba/*.pyc
	rm -rf buildtools/bin/.waf*
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs
	$(MAKE) install DESTDIR=$(DESTDIR)
	ar cr libtevent.a bin/default/*.o
	cp libtevent.a $(DESTDIR)/usr/lib/
	# No python for now
	rm -f $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so
	dh_install --fail-missing --list-missing --sourcedir=$(DESTDIR) 

binary-indep: 
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installdocs 
	dh_installman
	dh_installchangelogs 
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs -- -c4
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install configure

## tevent 0.9.11~git20110311

=== wscript ===
#!/usr/bin/env python

APPNAME = 'tevent'
VERSION = '0.9.11'

blddir = 'bin'

import sys, os

# find the buildtools directory
srcdir = '.'
while not os.path.exists(srcdir+'/buildtools') and len(srcdir.split('/')) < 5:
    srcdir = '../' + srcdir
sys.path.insert(0, srcdir + '/buildtools/wafsamba')

import wafsamba, samba_dist, Options, Logs

samba_dist.DIST_DIRS('lib/tevent:. lib/replace:lib/replace lib/talloc:lib/talloc buildtools:buildtools')

def set_options(opt):
    opt.BUILTIN_DEFAULT('replace')
    opt.PRIVATE_EXTENSION_DEFAULT('tevent', noextension='tevent')
    opt.RECURSE('lib/replace')
    opt.RECURSE('lib/talloc')
    if opt.IN_LAUNCH_DIR():
        opt.add_option('--disable-python',
                       help=("disable the pytevent module"),
                       action="store_true", dest='disable_python', default=False)


def configure(conf):
    conf.RECURSE('lib/replace')
    conf.RECURSE('lib/talloc')

    conf.env.standalone_tevent = conf.IN_LAUNCH_DIR()

    if not conf.env.standalone_tevent:
        if conf.CHECK_BUNDLED_SYSTEM('tevent', minversion=VERSION,
                                     onlyif='talloc', implied_deps='replace talloc'):
            conf.define('USING_SYSTEM_TEVENT', 1)

    if conf.CHECK_FUNCS('epoll_create', headers='sys/epoll.h'):
        conf.DEFINE('HAVE_EPOLL', 1)

    conf.env.disable_python = getattr(Options.options, 'disable_python', False)

    if not conf.env.disable_python:
        # also disable if we don't have the python libs installed
        conf.check_tool('python')
        conf.check_python_version((2,4,2))
        conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
        if not conf.env.HAVE_PYTHON_H:
            Logs.warn('Disabling pytevent as python devel libs not found')
            conf.env.disable_python = True

    conf.SAMBA_CONFIG_H()

def build(bld):
    bld.RECURSE('lib/replace')
    bld.RECURSE('lib/talloc')

    SRC = '''tevent.c tevent_debug.c tevent_fd.c tevent_immediate.c
             tevent_queue.c tevent_req.c tevent_select.c
	     tevent_poll.c
             tevent_signal.c tevent_standard.c tevent_timed.c tevent_util.c tevent_wakeup.c'''

    if bld.CONFIG_SET('HAVE_EPOLL'):
        SRC += ' tevent_epoll.c'

    if bld.env.standalone_tevent:
        bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
        bld.PKG_CONFIG_FILES('tevent.pc', vnum=VERSION)
        bld.INSTALL_FILES('${INCLUDEDIR}', 'tevent.h')
        private_library = False
    else:
        private_library = True

    if not bld.CONFIG_SET('USING_SYSTEM_TEVENT'):
        bld.SAMBA_LIBRARY('tevent',
                          SRC,
                          deps='replace talloc',
                          enabled= not bld.CONFIG_SET('USING_SYSTEM_TEVENT'),
                          includes='.',
                          abi_directory='ABI',
                          abi_match='tevent_* _tevent_*',
                          vnum=VERSION,
                          private_library=private_library)

    bld.SAMBA_PYTHON('pytevent',
                     'pytevent.c',
                     deps='tevent',
                     enabled=True,
                     realname='_tevent.so')


def test(ctx):
    '''test tevent'''
    print("The tevent testsuite is part of smbtorture in samba4")


def dist():
    '''makes a tarball for distribution'''
    samba_dist.dist()

def reconfigure(ctx):
    '''reconfigure if config scripts have changed'''
    import samba_utils
    samba_utils.reconfigure(ctx)

=== debian/changelog ===
tevent (0.9.11~git20110311-1) unstable; urgency=low

  * New upstream snapshot.

 -- Jelmer Vernooij <jelmer@debian.org>  Sat, 12 Mar 2011 00:50:21 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,21 @@
 Section: devel
 Priority: optional
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: debhelper (>> 5.0.0), libtalloc-dev (>= 2.0.1~), libaio-dev, pkg-config, python, python-talloc-dev (>= 2.0.1~), python-dev
+Build-Depends: debhelper (>> 5.0.0),
+               libaio-dev,
+               libtalloc-dev (>= 2.0.5~),
+               pkg-config,
+               python,
+               python-dev,
+               python-talloc-dev (>= 2.0.5~)
 Standards-Version: 3.9.1
 Vcs-Bzr: http://bzr.debian.org/pkg-samba/tevent/unstable
 
 Package: libtevent0
 Architecture: any
 Section: libs
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Description: talloc-based event loop library - shared library
  tevent is a simple library that can handle the main event loop for an
  application. It supports three kinds of events: timed events, file
@@ -23,7 +30,10 @@
 Package: libtevent-dev
 Section: libdevel
 Architecture: any
-Depends: libc6-dev, libtevent0 (= ${binary:Version}), libtalloc-dev, ${misc:Depends}
+Depends: libc6-dev,
+         libtalloc-dev,
+         libtevent0 (= ${binary:Version}),
+         ${misc:Depends}
 Description: talloc-based event loop library - development files
  tevent is a simple library that can handle the main event loop for an
  application. It supports three kinds of events: timed events, file

## tevent 0.9.13

=== debian/changelog ===
tevent (0.9.13-3) unstable; urgency=low

  * Upload to unstable.
  * Switch to new style debhelper.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 28 Jul 2011 16:37:04 +0200

tevent (0.9.13-2) experimental; urgency=low

  * Add libtevent-dbg package.
  * Add multi-arch support.

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 26 Jul 2011 20:28:46 +0200

tevent (0.9.13-1) unstable; urgency=low

  * New upstream release.
  * Add homepage field.
  * Bump standards version to 3.9.2 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 18 Jul 2011 17:48:12 +0200

=== debian/control ===
--- 
+++ 
@@ -2,18 +2,21 @@
 Section: devel
 Priority: optional
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
-Build-Depends: debhelper (>> 5.0.0),
+Build-Depends: debhelper (>= 8.1.3),
                libaio-dev,
                libtalloc-dev (>= 2.0.5~),
                pkg-config,
                python,
-               python-dev,
+               python-all-dev (>= 2.6.6-3),
                python-talloc-dev (>= 2.0.5~)
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
+Homepage: http://tevent.samba.org/
 Vcs-Bzr: http://bzr.debian.org/pkg-samba/tevent/unstable
 
 Package: libtevent0
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
@@ -26,6 +29,22 @@
  data provided by users of the library.
  .
  This package provides the shared library file.
+
+Package: libtevent0-dbg
+Section: debug
+Priority: extra
+Architecture: any
+Depends: libtevent0 (= ${binary:Version}), ${misc:Depends}
+Recommends: libc6-dbg, libtalloc2-dbg
+Description: talloc-based event loop library - debug symbols
+ tevent is a simple library that can handle the main event loop for an
+ application. It supports three kinds of events: timed events, file
+ descriptors becoming readable or writable and signals.
+ .
+ Talloc is used for memory management, both internally and for private
+ data provided by users of the library.
+ .
+ This package provides the debug symbols.
 
 Package: libtevent-dev
 Section: libdevel

=== debian/rules ===
#!/usr/bin/make -f

CFLAGS = -g -Wall

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
CFLAGS += -O0
else
CFLAGS += -O2
endif

LDFLAGS += -Wl,--as-needed

DESTDIR=$(CURDIR)/debian/tmp

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $*

override_dh_auto_configure:
	CFLAGS="$(CFLAGS)" ./configure --prefix=/usr --bundled-libraries=NONE \
		   --disable-rpath --disable-rpath-install \
		   --minimum-library-version="$(shell ./debian/autodeps.py --minimum-library-version)" \
		   --libdir=/usr/lib/$(DEB_HOST_MULTIARCH)

override_dh_auto_build:
	$(MAKE) all

get-orig-source:
	./debian/build-orig.sh

override_dh_auto_clean:
	-./buildtools/bin/waf clean
	rm -rf buildtools/wafsamba/*.pyc buildtools/bin/.waf-*
	rm -rf build
	rm -f buildtools/wafsamba/*.pyc
	rm -rf buildtools/bin/.waf*

override_dh_auto_install:
	$(MAKE) install DESTDIR=$(DESTDIR)
	ar cr libtevent.a bin/default/*.o
	cp libtevent.a $(DESTDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	# No python for now
	rm -f $(DESTDIR)/usr/lib/python*/*-packages/_tevent.so

override_dh_strip:
	dh_strip --dbg-package=libtevent0-dbg

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## tevent 0.9.14

=== wscript ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
 APPNAME = 'tevent'
-VERSION = '0.9.11'
+VERSION = '0.9.14'
 
 blddir = 'bin'
 
@@ -46,6 +46,7 @@
 
     if not conf.env.disable_python:
         # also disable if we don't have the python libs installed
+        conf.find_program('python', var='PYTHON')
         conf.check_tool('python')
         conf.check_python_version((2,4,2))
         conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
@@ -70,7 +71,6 @@
     if bld.env.standalone_tevent:
         bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
         bld.PKG_CONFIG_FILES('tevent.pc', vnum=VERSION)
-        bld.INSTALL_FILES('${INCLUDEDIR}', 'tevent.h')
         private_library = False
     else:
         private_library = True
@@ -84,6 +84,8 @@
                           abi_directory='ABI',
                           abi_match='tevent_* _tevent_*',
                           vnum=VERSION,
+                          public_headers='tevent.h',
+                          public_headers_install=not private_library,
                           private_library=private_library)
 
     bld.SAMBA_PYTHON('pytevent',

=== lib/talloc/wscript ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/env python
 
 APPNAME = 'talloc'
-VERSION = '2.0.4'
+VERSION = '2.0.6'
 
 
 blddir = 'bin'
@@ -57,6 +57,7 @@
 
     if not conf.env.disable_python:
         # also disable if we don't have the python libs installed
+        conf.find_program('python', var='PYTHON')
         conf.check_tool('python')
         conf.check_python_version((2,4,2))
         conf.SAMBA_CHECK_PYTHON_HEADERS(mandatory=False)
@@ -74,7 +75,6 @@
         bld.env.PKGCONFIGDIR = '${LIBDIR}/pkgconfig'
         bld.env.TALLOC_VERSION = VERSION
         bld.PKG_CONFIG_FILES('talloc.pc', vnum=VERSION)
-        bld.INSTALL_FILES('${INCLUDEDIR}', 'talloc.h')
         private_library = False
 
         # should we also install the symlink to libtalloc1.so here?
@@ -98,6 +98,8 @@
                           abi_match='talloc* _talloc*',
                           hide_symbols=True,
                           vnum=VERSION,
+                          public_headers='talloc.h',
+                          public_headers_install=not private_library,
                           private_library=private_library,
                           manpages='talloc.3')
 
@@ -109,8 +111,8 @@
             pyext=True,
             vnum=VERSION,
             private_library=private_library,
+            public_headers='pytalloc.h'
             )
-        bld.INSTALL_FILES('${INCLUDEDIR}', 'pytalloc.h')
         bld.SAMBA_PYTHON('pytalloc',
                          'pytalloc.c',
                          deps='talloc pytalloc-util',

=== debian/changelog ===
tevent (0.9.14-2) unstable; urgency=low

  * Only depend on (optional) libaio-dev on Linux. Thanks Robert Millan.
    Closes: #650954

 -- Jelmer Vernooij <jelmer@debian.org>  Sun, 04 Dec 2011 16:48:38 +0100

tevent (0.9.14-1) unstable; urgency=low

  * New upstream release.

 -- Jelmer Vernooij <jelmer@debian.org>  Wed, 10 Aug 2011 13:49:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Priority: optional
 Maintainer: Jelmer Vernooij <jelmer@debian.org>
 Build-Depends: debhelper (>= 8.1.3),
-               libaio-dev,
-               libtalloc-dev (>= 2.0.5~),
+               libaio-dev [linux-any],
+               libtalloc-dev (>= 2.0.6~),
                pkg-config,
                python,
                python-all-dev (>= 2.6.6-3),
-               python-talloc-dev (>= 2.0.5~)
+               python-talloc-dev (>= 2.0.6~)
 Standards-Version: 3.9.2
 Homepage: http://tevent.samba.org/
 Vcs-Bzr: http://bzr.debian.org/pkg-samba/tevent/unstable
@@ -18,8 +18,7 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: talloc-based event loop library - shared library
  tevent is a simple library that can handle the main event loop for an
  application. It supports three kinds of events: timed events, file

## tevent 0.9.15

=== debian/changelog ===
tevent (0.9.15-2) unstable; urgency=low

  * Only depend on (optional) libaio-dev on Linux. Thanks Robert Millan.
    Closes: #650954
  * debian/copyright: Refer to LGPL-3 license file rather than symlink.

 -- Jelmer Vernooij <jelmer@debian.org>  Thu, 29 Mar 2012 00:42:38 +0200

tevent (0.9.15-1) unstable; urgency=low

  * New upstream release.
  * Bump standards version to 3.9.3 (no changes).

 -- Jelmer Vernooij <jelmer@debian.org>  Mon, 12 Mar 2012 19:48:56 +0100

tevent (0.9.14+git20120207-1) unstable; urgency=low

  * New upstream snapshot.
   + Unpacks waf source code. Closes: #654510

 -- Jelmer Vernooij <jelmer@debian.org>  Tue, 07 Feb 2012 15:36:52 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python,
                python-all-dev (>= 2.6.6-3),
                python-talloc-dev (>= 2.0.6~)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://tevent.samba.org/
 Vcs-Bzr: http://bzr.debian.org/pkg-samba/tevent/unstable
